//This map is based on DefendSaThauri
$MissionName= "Into Thick Air";
$RedRace= "Promethean";
$YellowRace= "Alliance";
$BlueRace= "NONE";
$PurpleRace= "NONE";
$RedBriefing1= "Human\\\\animal military outposts have been detected defending human\\\\animal hive \"Carson\". These"
	@" outposts must be neutralized/\/eradicated if an attack is to succeed. Nexus 0232 will coordinate the "
	@"attack on the outpost in sector 0237. ACKNOWLEDGE/\/SUBMIT!";
$RedBriefing2= "PRIMARY OBJECTIVES\n\n1: Destroy outpost\\\\warform center\n\nSECONDARY OBJECTIVES\n\n2: Eliminate "
	@"enemy warforms.\n3: Eliminate civilian fugitives.";
$YellowBriefing1= "Attention: we have detected a cybrid force to the northeast of us, but its position is uncertain. "
	@"We need a patrol to scout out the area. In the event of an encounter, do not engage the enemy. We do not "
	@"want to alert them to the presence of our garisson.";
$YellowBriefing2= "PRIMARY OBJECTIVES:\n\n1: Patrol the region.\n2: Maintain secrecy\n\nSECONDARY OBJECTIVES:\n\n3: "
	@"Determine the objectives of the enemy troops.";
$PurpleBriefing1= " ";
$PurpleBriefing2= " ";
$BlueBriefing1= " ";
$BlueBriefing2= " ";
$MissionHistorical= "DATE:     April 6, 2830 AD          2830.2634 IT          358.2771 NE\n"@
		    "LOCATION:                Outpost near Carson, Venus\n"@
	"After the Battle of Drachenstraten, both the Human Alliance and the Cybrids dug in for an extended campaign."
	@" The Cybrids, of course, wished to destroy every settlement and base on the planet. The Alliance hoped to "
	@"utilize the Cybrids' weaknesses and unfamiliarity with Venus to destroy as many of them as possible while "
	@"at the same time gathering more information about their foes. The stage was set for the conflict...";
$SpecialRules="<F4>This mission is currently being tested. I'm sorry for the bugs, Ill fix them ASAP.";

$server::HudMapViewOffsetX = 3500;
$server::HudMapViewOffsetY =    0; 

Pilot nexus
{
   id = 31;
   
   name = "Nexus 0232";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 50.0;
   trackFreq = 50.0;
   fireFreq = 50.0;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};
//THIS SCRIPT IS DISABLED (WHEN THE SLASHES ARE REMOVED, THAT IS)
function setIndividualSettings()
{
	allowWeapon("all", true);
	allowComponent("all", true);
	allowVehicle("all", true);

	allowVehicle(35, false);	//Metagen Seeker
	allowVehicle(36, false);	//Metagen Goad
	allowVehicle(37, false);	//Metagen Shepherd

	$Server::AllowTeamYellow = true;	//Team settings
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$Server::AllowTeamPurple = false;
	$Server::DisableTeamYellow = false;
	$Server::DisableTeamRed = false;
	$Server::DisableTeamBlue = true;
	$Server::DisableTeamPurple = true;
}

exec("multiCampaignStdlib.cs");

//Mission Objectives
MissionBriefObjective YellowObjective1
{
        isPrimary       = true;         //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_ACTIVE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Patrol the area.";       //(short, in-battle summary)
};

MissionBriefObjective YellowObjective2
{
        isPrimary       = true;
        status          = *IDSTR_OBJ_ACTIVE;
        shortTxt        = "Remain undetected.";
};

MissionBriefObjective YellowObjective3
{
        isPrimary       = true;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "Defend the base.";
};

MissionBriefObjective YellowObjective4
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "Determine enemy objectives.";
};

MissionBriefObjective RedObjective1
{
        isPrimary       = true;
        status          = *IDSTR_OBJ_ACTIVE;
        shortTxt        = "Destroy outpost.";
};

MissionBriefObjective RedObjective2
{
        isPrimary       = true;
        status          = *IDSTR_OBJ_ACTIVE;
        shortTxt        = "Defend nexus 0232";
};

MissionBriefObjective RedObjective3
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_ACTIVE;
        shortTxt        = "Eliminate human warforms.";
};

MissionBriefObjective RedObjective4
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_ACTIVE;
        shortTxt        = "Eliminate fugitives\\\\ noncombats.";
};

MissionBriefObjective PurpleObjective1 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective2 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective3 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective1 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective2 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective3 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

function initVehicles()
{
	echo("INITIALIZING VEHICLES");
	%vehicle = NewObject("caravan", Tank, 71 );	//Terran Utility Truck
	renameObject(%vehicle, "Caravan");		//name different from script class
	setPosition(%vehicle, 2707, -764, 36);
	setTeam(%vehicle, *IDSTR_TEAM_YELLOW);
	setPilotId(%vehicle, 0);				//Average aggressive pilot
	addToSet( "MissionGroup\\vehicles\\HUMAN\\Caravan", %vehicle);		//set directory, prevents rewriting rest of mission
	setVehicleSpecialIdentity(%vehicle, true, "White");	//It's night, so the utility truck has a light. Combat vehicles don't for stealth.
	%vehicle = NewObject("nexus", Tank, 94 );		//Yes, that is supposed to be lowercase
	setPosition(%vehicle, 3235.88, 5877.13, 336.51);
	setTeam(%vehicle, *IDSTR_TEAM_RED);
	setPilotId(%vehicle, 31);				//custom pilot defined above
	addToSet( "MissionGroup\\vehicles\\CYBRID\\nexus", %vehicle);		//set directory, prevents rewriting rest of mission
	//set script class
}

function initVariables()
{
	$Nexus= getObjectId("MissionGroup\\vehicles\\CYBRID\\nexus\\nexus");
	$Nav001= getObjectId("MissionGroup\\NavPoints\\CYBRID\\nav001");
	$Nav002= getObjectId("MissionGroup\\NavPoints\\CYBRID\\nav002");
	$Nav003= getObjectId("MissionGroup\\NavPoints\\CYBRID\\nav003");
	$Nav004= getObjectId("MissionGroup\\NavPoints\\CYBRID\\nav004");
	$Nav005= getObjectId("MissionGroup\\NavPoints\\CYBRID\\nav005");
	$NavAlpha= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navAlpha");
	$NavBravo= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navBravo");
	$NavCharlie= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navCharlie");
	$NavDelta= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navDelta");
	$NavEcho= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navEcho");
	$NavFoxtrot= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navFoxtrot");
	$NavGolf= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navGolf");
	$NavHotel= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navHotel");
	$NavIndia= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navIndia");
	$NavBase= getObjectId("MissionGroup\\NavPoints\\HUMAN\\navJuliet");
	$TargetsLeft=6;
	$TurretsLeft=4;
	$evac=false;
	$nexusAttacked=false;
	$nexusUnthreatened=true;
	$TACCOMattacked=false;
	$Powerattacked=false;
	$Garageattacked=false;
	$caravanChannel=11;
	$TACCOMChannel=12;
	$NexusWaits=false;
}

function initSounds()
{
	venusSounds();

	cdAudioCycle(8,6,3);
}

function distanceWarning(%team)
{
	if ($missionStarted) return;
	say(0,0,"<F2>WARNING: A member of the "@%team@" is leaving the game area. The mission is about to begin.");
}

function initDistanceChecks()
{
	MPTeamCheckBoundary( "leave", getObjectId("MissionGroup\\StartMarkers\\team1"), 300, *IDSTR_TEAM_YELLOW, "distanceWarning(*IDSTR_TEAM_YELLOW);", 1.0 );
	MPTeamCheckBoundary( "leave", getObjectId($Nexus), 300, *IDSTR_TEAM_RED, "distanceWarning(*IDSTR_TEAM_RED", 1.0 );
	MPTeamCheckBoundary( "leave", getObjectId("MissionGroup\\StartMarkers\\team1"), 500, *IDSTR_TEAM_YELLOW, "if(!$missionStarted) initGame();", 1.0 );
	MPTeamCheckBoundary( "leave", getObjectId($Nexus), 500, *IDSTR_TEAM_RED, "if(!$missionStarted) initGame();", 1.0 );
	setNavMarker($Nav001, true,-1);
	setNavMarker($Nav002, false);
	setNavMarker($Nav003, false);
	setNavMarker($Nav004, true, 0);
	setNavMarker($Nav005, false);
	setNavMarker($NavAlpha, true, -1);
	setNavMarker($NavBravo, false);
	setNavMarker($NavCharlie, false);
	setNavMarker($NavDelta, false);
	setNavMarker($NavEcho, false);
	setNavMarker($NavFoxtrot, false);
	setNavMarker($NavGolf, false);
	setNavMarker($NavHotel, false);
	setNavMarker($NavIndia, false);
	setNavMarker($NavBase, false);
}

///Navigation functions///////////////////////////////

function onArriveAlpha()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavAlpha, false); setTeamMarker($NavBravo, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavBravo, 150, *IDSTR_TEAM_YELLOW, "onArriveBravo();", 1.0 );
}

function onArriveBravo()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavBravo, false); setTeamMarker($NavCharlie, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavCharlie, 150, *IDSTR_TEAM_YELLOW, "onArriveCharlie();", 1.0 );
}

function onArriveCharlie()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavCharlie, false); setTeamMarker($NavDelta, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavDelta, 150, *IDSTR_TEAM_YELLOW, "onArriveDelta();", 1.0 );
}

function onArriveDelta()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavDelta, false); setTeamMarker($NavEcho, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavEcho, 150, *IDSTR_TEAM_YELLOW, "onArriveEcho();", 1.0 );
}

function onArriveEcho()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavEcho, false); setTeamMarker($NavFoxtrot, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavFoxtrot, 150, *IDSTR_TEAM_YELLOW, "onArriveFoxtrot();", 1.0 );
}

function onArriveFoxtrot()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavFoxtrot, false); setTeamMarker($NavGolf, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavGolf, 150, *IDSTR_TEAM_YELLOW, "onArriveGolf();", 1.0 );
}

function onArriveGolf()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavGolf, false); setTeamMarker($NavHotel, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavHotel, 150, *IDSTR_TEAM_YELLOW, "onArriveHotel();", 1.0 );
}

function onArriveHotel()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavHotel, false); setTeamMarker($NavIndia, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavIndia, 150, *IDSTR_TEAM_YELLOW, "onArriveIndia();", 1.0 );
}

function onArriveIndia()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavIndia, false); setTeamMarker($NavBase, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavBase, 150, *IDSTR_TEAM_YELLOW, "onArriveBase();", 1.0 );
}

function onArriveJuliet()
{
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) return;		//Patrol doesn't matter
	setNavMarker($NavBase, false); setTeamMarker($NavAlpha, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavAlpha, 150, *IDSTR_TEAM_YELLOW, "onArriveAlpha();", 1.0 );
}

function onArrive001()
{
	say(IDSTR_TEAM_RED,0,"NEXUS: Proceed to Nav 002", "CYB_NEX09.WAV");
	setNavMarker($Nav001, false); setTeamMarker($Nav002, true, *IDSTR_TEAM_RED);
	MPTeamCheckBoundary( "enter", $Nav002, 150, *IDSTR_TEAM_RED, "onArrive002();", 1.0 );
	order($Nexus, speed, fast);
	order($Nexus, guard, "MissionGroup\\AIPaths\\Nexus1");
}

function onArrive002()
{
	say(IDSTR_TEAM_RED,0,"NEXUS: Proceed to Nav 003", "CYB_NEX10.WAV");
	setNavMarker($Nav002, false); setTeamMarker($Nav003, true, *IDSTR_TEAM_RED);
	MPTeamCheckBoundary( "enter", $Nav003, 150, *IDSTR_TEAM_RED, "onArrive003();", 1.0 );
	schedule("YellowAlert();",10);
}

function onArrive003()
{
	say(IDSTR_TEAM_RED,0,"NEXUS: Proceed to Nav 004", "CYB_NEX11.WAV");
	setNavMarker($Nav003, false); setTeamMarker($Nav004, true, *IDSTR_TEAM_RED);
}

///Utility functions//////////////////////////////////

function initGame()
{
	say(0,0,"<F2>The mission has begun. Players can no longer enter.");
	say(IDSTR_TEAM_YELLOW,$TACCOMchannel,"TAC-COM: All right, cut the chat and start making for Nav Alpha.");
	say(IDSTR_TEAM_RED,0,"NEXUS: Proceed to Nav 001.","CYB_NEX08.WAV");
	$missionStarted=true;
	$RedTeamLives=true;	//in case set before game
	$BlueTeamLives=true;
	$YellowTeamLives=true;
	$PurpleTeamLives=true;
	checkForTeamDead(*IDSTR_TEAM_YELLOW);
	checkForTeamDead(*IDSTR_TEAM_RED);
	checkForTeamDead(*IDSTR_TEAM_BLUE);
	checkForTeamDead(*IDSTR_TEAM_PURPLE);
	setTeamMarker($Nav001, true, *IDSTR_TEAM_RED);
	setTeamMarker($NavAlpha, true, *IDSTR_TEAM_YELLOW);
	MPTeamCheckBoundary( "enter", $NavAlpha, 150, *IDSTR_TEAM_YELLOW, "onArriveAlpha();", 1.0 );
	MPTeamCheckBoundary( "enter", $Nav001, 150, *IDSTR_TEAM_RED, "onArrive001();", 1.0 );
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " -- Mission \""@ $missionName @"\" has begun.";
	echo(%outputString);
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
}

function vehicleOnDestroyedSpecial(%vehicle)				//Called during vehicle::onDestroyed()
{

}

function vehicle::onAttacked(%attackee, %attacker)
{
	if ((getTeam(%attackee)==*IDSTR_TEAM_RED)&&(getTeam(%attacker)==*IDSTR_TEAM_YELLOW)&&(YellowObjective1.status==*IDSTR_OBJ_ACTIVE))	//Cybrid attacked prematurely
	{
	say(IDSTR_TEAM_RED,0,"NEXUS: WARNING: Human\\\\\\animal warforms detected on attack vector.","CYB_NEX06.WAV");
	say(IDSTR_TEAM_YELLOW,$TACCOMchannel,"TAC-COM: Stealth compromized. Attempt to destroy the cybrids before they can call in reinforcements.");
	YellowObjective1.status=*IDSTR_OBJ_COMPLETED; YellowObjective2.status=*IDSTR_OBJ_IGNORE;
	}
}

function vehicleOnAddSpecial(%vehicle)
{
//Blank function
}

///Mission functions/////////////////////////////////

function caravan::vehicle::onArrived(%who, %where)
{
	setVehicleSpecialIdentity(getObjectId("MissionGroup\\vehicles\\HUMAN\\caravan\\caravan"), false, "White");	//turns the lights off
	setTeam("MissionGroup\\vehicles\\HUMAN\\caravan\\caravan",*IDSTR_TEAM_PURPLE);
	setVehicleRadarVisible("MissionGroup\\vehicles\\HUMAN\\caravan\\caravan", false);	//Hides
}

function caravan::vehicle::onDestroyed(%destroyee, %destroyer)
{
	RedObjective4.status=*IDSTR_OBJ_COMPLETED;
	killChannel($caravanChannel);
	%message = getFancyDeathMessage("Terran Utility Truck", getHUDName(%destroyer));
	if(%message != "")
	{
		if ($missionStarted) say( 0, 0, %message);
		else if (%destroyer==%destroyee) say(0,0, "Terran Utility Truck has left the map.");	//Player killed himself before mission began
	}
}

function target::structure::onDestroyed(%destroyee, %destroyer)
{
	$TargetsLeft--;
	say(IDSTR_TEAM_YELLOW,$TACCOMChannel,"<F4>"@getHUDName(%destroyee)@" destroyed.","friend_struct_des.wav");
	lostContact(%destroyee);
	if (!$evac)
	{
		$evac=true;
		say(IDSTR_TEAM_YELLOW,$caravanChannel,"UTILITY TRUCK: I'm outta here!");
		order("MissionGroup\\vehicles\\HUMAN\\caravan\\caravan", guard, "MissionGroup\\AIPaths\\Caravan");
	}
	if (($TargetsLeft<=0)&&($TurretsLeft<=0)&&(RedObjective1.status!=*IDSTR_OBJ_COMPLETED))
		BaseDestroyed();
}

function lostContact(%what)
{
	if (%what==getObjectId("MissionGroup\\Base\\Target5\\hVenusgathering1"))	//Comm Tower
	{
	say(IDSTR_TEAM_YELLOW,0,"gen_static01.wav"); killChannel($TACCOMchannel);
	}
	if (%what==getObjectId("MissionGroup\\Base\\Target5\\Target5"))		//Geothermal
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN53.WAV");		//Power's gone, sector two!
	}
	if (%what==getObjectId("MissionGroup\\hVenusgarage1"))			//Garage
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN52.WAV");		//Blackout, sector seventeen!
	}
	if (%what==getObjectId("MissionGroup\\hVenusrefinery1"))		//Refinery
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN50.WAV");		//We've lost contact with sector four!
	}
	if (%what==getObjectId("MissionGroup\\hVenusbigdish1"))			//Radar
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN54.WAV");		//Lost power, sector three!
	}
	if (%what==getObjectId("MissionGroup\\hVenusconverter21"))		//Converter
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN56.WAV");		//We've lost contact with sector eight!
	}
	if (%what==getObjectId("MissionGroup\\hVenusconverter22"))		//Converter
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN47.WAV");		//Power's gone, sector five!
	}
	if (%what==getObjectId("MissionGroup\\Base\\Target4\\Target4"))		//Converter
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN51.WAV");		//I've lost all contact with sectors eleven and nanteen!
	}
	if (%what==getObjectId("MissionGroup\\Base\\Target2\\Target2"))		//Convertor
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN55.WAV");		//Brownouts, twenty and twelve!
	}
	if (%what==getObjectId("MissionGroup\\Base\\Target3\\Target3"))		//Dispertion Tower
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN46.WAV");		//Blackout, sector six!
	}
	if (%what==getObjectId("MissionGroup\\Base\\Target1\\Target1"))		//Dispertion Tower
	{
	say(IDSTR_TEAM_YELLOW,0,"CYB_GN48.WAV");		//Lost power, sector seven!
	}
}

function target::structure::onAttacked(%attackee, %attacker)
{
	%snd="";
	if ((%attackee==getObjectId("MissionGroup\\Base\\Target5\\hVenusgathering1"))&&(!$TACCOMattacked))	//Comm Tower
	{
		$TACCOMattacked=true; schedule("$TACCOMattacked=false;",30);
		%snd = "HC3_WU01.wav";
	}
	if ((%attackee==getObjectId("MissionGroup\\Base\\Target5\\Target5"))&&(!$Powerattacked))	//Geothermal
	{
		$Powerattacked=true; schedule("$Powerattacked=false;",30);
		%snd = "HC3_WU03.wav";
	}
	if ((%attackee==getObjectId("MissionGroup\\hVenusgarage1"))&&(!$Garageattacked))	//Garage
	{
		$Garageattacked=true; schedule("$Garageattacked=false;",30);
		%snd = "HC3_WU02.wav";
	}
	if (%snd!="") say(IDSTR_TEAM_YELLOW, $TACCOMchannel, %snd);
}

function BaseDestroyed()
{
	say(IDSTR_TEAM_YELLOW,0,"mission_fail.wav");
	say(IDSTR_TEAM_RED,0,"NEXUS: Program\\\\task completed. Praise <<Giver-of-Will>!","CYB_NEX04.WAV");
	YellowObjective3.status=*IDSTR_OBJ_FAILED;
	RedObjective1.status=*IDSTR_OBJ_COMPLETED;
	setNavMarker($Nav004, false); setTeamMarker($Nav005, true, *IDSTR_TEAM_RED);
	schedule("TotalRedVictory();",5);
	if ($NexusWaits) order($Nexus, guard, "MissionGroup\\AIPaths\\Nexus2");
}

function YellowAlert()
{
	say(IDSTR_TEAM_YELLOW,$TACCOMchannel,"TAC-COM: Oh no! They're headed for the base! Scramble all crews!");
	schedule("say(IDSTR_TEAM_YELLOW,0,\"CYB_GN57.WAV\");",5);	//Emergency crews responding
	reinforcementWave(*IDSTR_TEAM_YELLOW);	//Probably nobody's died yet, LOL
	schedule("say(IDSTR_TEAM_RED,0,\"CYB_NEX06.WAV\");",10);	//Detection delay
	YellowObjective1.status= *IDSTR_OBJ_COMPLETED;
	YellowObjective2.status= *IDSTR_OBJ_IGNORE;
	YellowObjective3.status= *IDSTR_OBJ_ACTIVE;
	YellowObjective4.status= *IDSTR_OBJ_COMPLETED;
}

function YellowTeamEliminates()
{
	filewrite("multiplayer\\serverlog.txt", append, "YellowTeamEliminates() run");
	say(IDSTR_TEAM_YELLOW,$TACCOMchannel,"TAC-COM: Enemy units destroyed. Return to base for debriefing.");
	say(IDSTR_TEAM_YELLOW,0,"mission_comp.wav");	//makes sure that THAT message gets through
	if (YellowObjective3.status==*IDSTR_OBJ_ACTIVE) YellowObjective3.status=*IDSTR_OBJ_COMPLETED;	//Only if they find out about the attack plan.
	checkThatTeamReports(*IDSTR_TEAM_YELLOW, getObjeectId("MissionGroup\\StartMarkers\\team1"),"totalYellowVictory();");
}

function RedTeamEliminates()
{
	RedObjective2.status=*IDSTR_OBJ_COMPLETED; RedObjective3.status=*IDSTR_OBJ_COMPLETED;
	say(IDSTR_TEAM_RED,0,"NEXUS: Mission objective complete.","CYB_NEX17.WAV");
}

function BlueTeamEliminates()				//I think that the StdLib might call this function
{}

function PurpleTeamEliminates()				//I think that the StdLib might call this function
{}

function totalRedVictory()
{
	flushConsoleScheduler();	//Just the missionEnd stuff now
	%string="The Human Alliance retreated to Sa Thauri. This allowed the cybrids to surround Carson and destroy "
		@"it. The final transmissions of the city remained in the Alliance's memory almost as long as the "
		@"accidental benefit of the defeat - but you know about that.";
	schedule("messageBox(0,\""@%string@"\");",10);
	fadeToRed();
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " --  The Cybrids won.";
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
	logPlayerList();
	doMissionCleanup();
	schedule("missionEndConditionMet();",10);
}

function totalYellowVictory()
{
	flushConsoleScheduler();	//Just the missionEnd stuff now
	%string1="The Alliance had won two victories in a row. As the humans' morale soared and the <Choosers-of-"
		@"Strategies> struggled with the unexpected outcomes, Prometheus commanded that all cybrid troops "
		@"concentrate on the Alliance headquarters at Drachenstraten.";
	%string2="However, the Alliance learned of the plan and evacuated, leaving a decoy in place. When the legions"
		@" of the Dark Intellect struck, a detonation from within the city obliterated everything in the area"
		@" - including the cybrids.";
	schedule("messageBox(0,\""@%string1@"\");",10);
	schedule("messageBox(0,\""@%string2@"\");",10);
	fadeToYellow();
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " --  The Alliance won.";
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
	logPlayerList();
	doMissionCleanup();
	schedule("missionEndConditionMet();",10);
}

///Nexus commands////////////////////////////////////////////////////////////////////////////
function nexus::vehicle::onAttacked(%attackee, %attacker)
{
	if ($nexusAttacked) return;	//Prevents spamming
	$nexusAttacked=true;
	schedule("$nexusAttacked=false;",30);
	if ($nexusUnthreatened)
	{
		reinforcementWave(*IDSTR_TEAM_RED);
		$nexusUnthreatened=false;
		say(IDSTR_TEAM_RED,0,"NEXUS: ALERT: NEXUS IS UNDER ATTACK. Deploying/\/scrambling all reserve pilotforms.","CYB_NEX06.WAV");
		say(IDSTR_TEAM_YELLOW,0,"CYB_EA01.WAV");		//Anyone got a fix on their nexus?
		say(IDSTR_TEAM_YELLOW,0,getHUDName(%attacker)@": We're on 'em!","CYB_LU13.wav");		//LOL! I'm gonna LOVE this! How will they react?
		return;	//prevents two chats
	}
	say(IDSTR_TEAM_RED,0,"NEXUS: ALERT: NEXUS IS UNDER ATTACK","CYB_NEX06.WAV");
}

function nexus::vehicle::onDestroyed(%destroyee, %destroyer)
{
	RedObjective2.status=*IDSTR_OBJ_FAILED;
	schedule("totalYellowVictory();",5);
	%message = getFancyDeathMessage(getHUDName(%destroyee), getHUDName(%destroyer));
	if(%message != "")
	{
		if ($missionStarted) say( 0, 0, %message);
		else if (%destroyer==%destroyee) say(0,0, getHUDName(%destroyee)@" has left the map.");	//Player killed himself before mission began
	}
	say(IDSTR_TEAM_RED, 0, "gen_static01.wav");
}

function nexus::vehicle::onArrived(%who, %where)
{
	if(%where==getObjectId("MissionGroup\\AIPaths\\Nexus1\\marker4"))
	{
	order($Nexus, speed, fast);	//To get over the hill
	}
	if(%where==getObjectId("MissionGroup\\AIPaths\\Nexus1\\WAIT"))
	{
	order($Nexus, clear, true);
	say(IDSTR_TEAM_RED,0,"NEXUS: Nexus 0232 is ready for extraction.");
	$nexusWaits=true;
	}
}

function turret::turret::onDestroyed(%destroyee, %destroyer)
{
	$TurretsLeft--;
	if (($TargetsLeft<=0)&&($TurretsLeft<=0)&&(RedObjective1.status!=*IDSTR_OBJ_COMPLETED))
		BaseDestroyed();

}

function doMissionCleanup()
{
	schedule("deletePlayerVehicles();",10);
	schedule("deleteObject($Nexus); deleteObject(getObjectId(\"MissionGroup\\vehicles\\HUMAN\\Caravan\\Caravan\"));",9);
	schedule("deleteVariables(\"$Nexus*\");",9);	//to reduce lag?
	deleteVariables("$nexus*");
	deleteVariables("$Nav*");
	deleteVariables("*Channel");
	deleteVariables("*attacked");
	deleteVariables("*Left");
	deleteFunctions("onArrive*");
	deleteFunctions("vehicle::onAttacke*");
	deleteFunctions("caravan*");
	deleteFunctions("target*");
	deleteFunctions("lostContac*");
	deleteFunctions("BaseDestroye*");
	deleteFunctions("YellowAler*");
	deleteFunctions("nexus*");
	deleteFunctions("turret*");
	deleteVariables("$evac");
	echo("All variables deleted.");
}