//Yes, those are quotes from the compendium you will hear during the battle
$MissionName= "New Turkhazakstan";
$RedRace= "Empire";
$YellowRace= "Rebel";
$BlueRace= "NONE";
$PurpleRace= "NONE";
$RedBriefing1= "All swords, this is Icehawk. The rebels have not surrendered; we will be dropping soon. "
	@"Form your squads immediately after landing. The Phoenix is capable of big surprises; expect an ambush. When"
	@" he strikes, show the rebels how Knights fight.";
$RedBriefing2= "PRIMARY OBJECTIVES\n\n1: Form and await ambush at Carter Flats.\n2: Secure base.\n\nSECONDARY OBJECTIVES\n"
	@"\n3: Destroy all rebels.";
$YellowBriefing1= "Bek here. The Knights are going to be landing pretty soon. Everybody's camo still good? Don't "
	@"shoot until I say so; we've got to attack at just the right moment. Once we strike, give 'em hell. They "
	@"should be coming through here in a couple of minutes...";
$YellowBriefing2= "PRIMARY OBJECTIVES:\n\n1: Ambush the first wave of Knights.\n\nSECONDARY OBJECTIVES:\n\nNONE";
$PurpleBriefing1= " ";
$PurpleBriefing2= " ";
$BlueBriefing1= " ";
$BlueBriefing2= " ";
$MissionHistorical= "DATE:     April 20, 2829 AD          2829.3852 IT          357.3989 NE\n"@
		    "LOCATION:            Carter Flats, Noache Province, Mars\n"@
	"After crossing the Earth-Mars distance at record speeds, the ships of the Red Whirlwind strikeforce entered orbit "
	@"around Mars. On board, Caanon Weathers was looking forward to defeating his brother Harabec. The rebels had, after"
	@" declaring Mars's independence, defeated Navarre and his Imperial Police. They were eager to do the same to the "
	@"Terrans. After his demand for surrender went unanswered, Caanon ordered the Imperial Knights to land their "
	@"dropships.";
$SpecialRules="<F4>Because of the nature of this mission, distance checks are not used to start the game. The game will "
	@"start when everybody has shut down.";

Pilot Caanon
{
   id = 31;
   
   name = "Icehawk";
   skill = 0.6;
   accuracy = 0.8;
   aggressiveness = 2.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 0.7;
   trackFreq = 0.4;
   fireFreq = 0.1;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};

Pilot Harabec
{
   id = 32;
   
   name = "Harabec";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 2.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 0.7;
   trackFreq = 0.4;
   fireFreq = 0.1;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};
//THIS SCRIPT IS DISABLED (WHEN THE SLASHES ARE REMOVED, THAT IS)
function setIndividualSettings()
{
	allowWeapon("all", true);
	allowComponent("all", true);
	allowVehicle("all", true);

	AllowWeapon("all_cybrid", false);	//Prevents a lot of junk in the vehicle bay
	AllowVehicle("all_cybrid", false);
	AllowComponent("all_cybrid", false);
	AllowWeapon(150, false);		//Smart gun not developed yet
	allowVehicle(1, false);			//No TDF vehicles. Only knights.
	allowVehicle(2, false);
	allowVehicle(3, false);
	allowVehicle(4, false);
	allowVehicle(5, false);
	allowVehicle(6, false);
	allowVehicle(7, false);
	allowVehicle(8, false);
	$Server::AllowTeamYellow = true;	//Team settings
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$Server::AllowTeamPurple = false;
	$Server::DisableTeamYellow = false;
	$Server::DisableTeamRed = false;
	$Server::DisableTeamBlue = true;
	$Server::DisableTeamPurple = true;
}

exec("multiCampaignStdlib.cs");

//Mission Objectives
MissionBriefObjective YellowObjective1
{
        isPrimary       = true;         //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_ACTIVE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Destroy the Knights.";       //(short, in-battle summary)
};

MissionBriefObjective YellowObjective2
{
        isPrimary       = true;         //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_IGNORE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Retreat to Nav Alpha.";      //(short, in-battle summary)
};

MissionBriefObjective YellowObjective3 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective YellowObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective RedObjective1
{
        isPrimary       = true;         //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_ACTIVE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Prepare for attack.";        //(short, in-battle summary)
};

MissionBriefObjective RedObjective2
{
        isPrimary       = true;         //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_ACTIVE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Secure Carter Flats.";       //(short, in-battle summary)
};

MissionBriefObjective RedObjective3
{
        isPrimary       = false;                //(true/false= primary/secondary)
        status          = *IDSTR_OBJ_ACTIVE;    //(*IDSTR_OBJ_ followed by ACTIVE, COMPLETED, FAILED, IGNORE)
        shortTxt        = "Destroy all enemies.";       //(short, in-battle summary)
};

MissionBriefObjective RedObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective1 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective2 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective3 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective PurpleObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective1 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective2 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective3 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

MissionBriefObjective BlueObjective4 //Prevents annoying error messages on the console
{
        isPrimary       = false;
        status          = *IDSTR_OBJ_IGNORE;
        shortTxt        = "";
};

function initVehicles()
{

}

function initVariables()
{
	$Caanon="MissionGroup\\Caanon";
	$NavIcehawk= getObjectId("MissionGroup\\navMarkers\\navIcehawk");
	$NavAlpha= getObjectId("MissionGroup\\navMarkers\\navAlpha");
	$DropshipsAttacked=false;
	$rfWave=false;
	$ambush=false;
//	$Field2= getObjectId("MissionGroup\\scenario\\mines\\field2");
//	$Field3= getObjectId("MissionGroup\\scenario\\mines\\field3");
//	$Field4= getObjectId("MissionGroup\\scenario\\mines\\field4");
}

function initSounds()
{
	marsSounds();
	windSounds();
}

function initDistanceChecks()
{
	checkForAllShutdown();
	order("MissionGroup\\Harabec", shutDown, true);
	order($Caanon, shutDown, true);
	setVehicleRadarVisible( "MissionGroup\\Harabec", false );
	setVehicleRadarVisible( $Caanon, false );
	setNavMarker($NavIcehawk, false);
	setNavMarker($NavAlpha, false);
	damageObject("MissionGroup\\Turrets",10000);	//Turrets destroyed, but I want the ruins to remain.
	//The Imperial minefield is a contact field. The individual mines will detonate on contact
	//The rebel minefield has a sensor which will detonate the entire field simultaneously.
//	MPTeamCheckBoundary("enter",getObjectId("MissionGroup\\scenario\\mines\\field2\\mainMine"),15,*IDSTR_TEAM_RED,"damageObject($Field2,10000);",0.5);
//	MPTeamCheckBoundary("enter",getObjectId("MissionGroup\\scenario\\mines\\field3\\mainMine"),15,*IDSTR_TEAM_RED,"damageObject($Field3,10000);",0.5);
//	MPTeamCheckBoundary("enter",getObjectId("MissionGroup\\scenario\\mines\\field4\\mainMine"),15,*IDSTR_TEAM_RED,"damageObject($Field4,10000);",0.5);
}

///Utility functions//////////////////////////////////

function initGame()
{
	schedule("checkForDropshipApproach();",4);
	setShapeVisibility(getObjectId("MissionGroup\\dropships\\dropship1"), true);
	playAnimSequence(getObjectId("MissionGroup\\dropships\\dropship1"), 0, true);
	setShapeVisibility(getObjectId("MissionGroup\\dropships\\dropship2"), true);
	playAnimSequence(getObjectId("MissionGroup\\dropships\\dropship2"), 0, true);
	setShapeVisibility(getObjectId("MissionGroup\\dropships\\dropship3"), true);
	playAnimSequence(getObjectId("MissionGroup\\dropships\\dropship3"), 0, true);
	%timeToLanding=7.5;
	schedule("stopTheDropships();", %timeToLanding);
	schedule("say(IDSTR_TEAM_YELLOW,0,\"sfx_prob.wav\");",%timeToLanding);	//landing shock much louder inside dropship
	schedule("say(IDSTR_TEAM_RED,0,\"sfx_fog.wav\");",%timeToLanding);
	schedule("onTouchDown();",%timeToLanding+10);
	say(0,0,"<F1>The mission has begun. Players can no longer enter.");
	$missionStarted=true;
	$RedTeamLives=true;	//in case set before game
	$BlueTeamLives=true;
	$YellowTeamLives=true;
	$PurpleTeamLives=true;
	checkForTeamDead(*IDSTR_TEAM_YELLOW);
	checkForTeamDead(*IDSTR_TEAM_RED);
	checkForTeamDead(*IDSTR_TEAM_BLUE);
	checkForTeamDead(*IDSTR_TEAM_PURPLE);
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " -- Mission \""@ $missionName @"\" has begun.";
	echo(%outputString);
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
}

function stopTheDropships()
{
	stopAnimSequence(getObjectId("MissionGroup\\dropships\\dropship1"), 0);
	stopAnimSequence(getObjectId("MissionGroup\\dropships\\dropship2"), 0);
	stopAnimSequence(getObjectId("MissionGroup\\dropships\\dropship3"), 0);
}

function checkForAllShutdown()
{
	%yellow=false; %red=false; %shutDown=true;
	%total=playerManager::getPlayerCount();
	for(%i=0; %i<%total; %i++)
	{
		%player=playerManager::getPlayerNum(%i);
		%vehicle= playerManager::playerNumToVehicleId(%player);
		if (getTeam(%player)==*IDSTR_TEAM_YELLOW) %yellow=true;
		if (getTeam(%player)==*IDSTR_TEAM_RED) %red=true;
		if (!isShutDown(%vehicle)) %shutDown=false;	//Somebody's up and about
	}
	if ((!%yellow)||(!%red))	//A team is empty
	{
	schedule("checkForAllShutdown();",1); return;
	}
	if (%shutDown)
	{
	say(0,0,"<F2>WARNING: EVERYBODY HAS SHUT DOWN. THE GAME WILL BEGIN IN 15 SECONDS. START YOUR REACTOR TO ABORT.");
	schedule("finalShutDownCheck();",15);
	}
	else schedule("checkForAllShutdown();",1); return;
}

function finalShutDownCheck()
{
	%yellow=false; %red=false; %shutDown=true;
	%total=playerManager::getPlayerCount();
	for(%i=0; %i<%total; %i++)
	{
		%player=playerManager::getPlayerNum(%i);
		%vehicle= playerManager::playerNumToVehicleId(%player);
		if (getTeam(%player)==*IDSTR_TEAM_YELLOW) %yellow=true;
		if (getTeam(%player)==*IDSTR_TEAM_RED) %red=true;
		if (!isShutDown(%vehicle)) %shutDown=false;	//Somebody's up and about
	}
	if ((!%shutDown)||(!%yellow)||(!%red))	//Somebody not shut down or a team is empty
	{
	say(0,0,"<F2>Game start aborted."); schedule("checkForAllShutdown();",1); return;
	}
	$missionStarted=true;
	initGame();
}

function vehicleOnDestroyedSpecial(%vehicle)				//Called during vehicle::onDestroyed()
{
	if (!$missionStarted) return;
	%percent= countLiving(*IDSTR_TEAM_YELLOW);
	if ((%percent<=50)&&(%percent>0)&&(YellowObjective2.status==*IDSTR_OBJ_IGNORE)) schedule("rebelRetreat();",0);
	%percent= countLiving(*IDSTR_TEAM_RED);
	if ((%percent<=50)&&(%percent>0)&&(!$rfWave))
	{say(IDSTR_TEAM_YELLOW,0,"HARABEC: Uh-oh. I'm picking up imps coming in on our flanks! How'd they get here?");
	say(IDSTR_TEAM_RED,0,"IMPERIAL: Wolf Pack to Icehawk. We have arrived are attacking the rebel position now.");
	schedule("reinforcementWave(*IDSTR_TEAM_RED);",2);
	$rfWave=true;}
}

function vehicleOnAddSpecial(%vehicle)
{
	setVehicleRadarVisible( %vehicle, false );	//They're under radar-absorbent campflage or inside their dropships
}

///Mission functions/////////////////////////////////

function YellowTeamEliminates()
{
	echo("RUNNING YellowTeamEliminates();");
//	fileWrite("multiplayer\\serverlog.txt", append, "DEBUG: YellowTeamEliminates() run");
	YellowObjective1.status=*IDSTR_OBJ_COMPLETED;			//Knights defeated
	checkYellowObjectives(1);
	say(IDSTR_TEAM_YELLOW,0,"mission_obj_complete.wav");
	playerLoop("displayObjectives(",");",*IDSTR_TEAM_YELLOW);
}

function RedTeamEliminates()
{
	echo("RUNNING RedTeamEliminates();");
	RedObjective2.status= *IDSTR_OBJ_COMPLETED;			//Carter Flats taken
	RedObjective3.status= *IDSTR_OBJ_COMPLETED;			//Rebels destroyed
	checkRedObjectives(3);
	say(IDSTR_TEAM_RED,0,"mission_obj_complete.wav");
	playerLoop("displayObjectives(",");",*IDSTR_TEAM_RED);
}

function BlueTeamEliminates()				//I think that the StdLib might call this function
{}

function PurpleTeamEliminates()				//I think that the StdLib might call this function
{}

function rebelsEscape()
{
	RedObjective2.status= *IDSTR_OBJ_COMPLETED;		//Carter Flats taken
	YellowObjective2.status= *IDSTR_OBJ_COMPLETED;		//Rebels have retreated
	checkRedObjectives(2);
	playerLoop("displayObjectives(",");","all");	
}

function dropship::structure::onAttacked(%attackee, %attacker)
{
	setVehicleRadarVisible( %attacker, true );		//He moved, throwing off the camo that he was buried under
	if (!$DropshipsAttacked)
	{
	say(IDSTR_TEAM_RED,0,"DROPSHIP: Dropship here. Clear the LZ for hot descent.","GEN_2DSA05.wav");
	$DropshipsAttacked=true;
	say(IDSTR_TEAM_YELLOW,0,"HARABEC: Hold your fire, idiot! You're alerting them!");
	}
}

function vehicle::onAttacked(%attackee, %attacker)
{
	if (getTeam(%attackee)==getTeam(%attacker)) return	//(suicide or teamattack)
	setVehicleRadarVisible( %attacker, true );		//He moved, throwing off the camo that he was buried under
	RedObjective1.status=*IDSTR_OBJ_COMPLETED;		//Let the killing begin!
	if (!$ambush)
	{
	say(IDSTR_TEAM_YELLOW,0,"HARABEC: Looks like they've seen us."); rebelAmbush(); $ambush=true;	//Just in case!
	}
}

function checkYellowObjectives(%num)
{
	if (%num==1) totalYellowVictory();
	//Objective 2 covered in Red function
}

function checkRedObjectives(%num)
{
	if (%num==3) totalRedVictory();		//Objective 2 completed, too
	else if (%num==2) RedVictory();		//Rebels escape
}

function RedVictory()
{
	say(IDSTR_TEAM_RED,0,"ICEHAWK: Base secured. Break off your persuit and return to Carter Flats for debriefing.");
	say(IDSTR_TEAM_YELLOW,0,"HARABEC: Damn! Looks like we lost. Those Knights were tougher than I expected. I didn't expect my brother "
		@"to be on the first wave. Lets head out. Watch for Imp persuit");
	checkThatTeamReports(*IDSTR_TEAM_RED, $navIcehawk,"redDebriefing();");
	setTeamMarker($navIcehawk, true, *IDSTR_TEAM_RED);
}

function redDebriefing()
{
	flushConsoleScheduler();	//Just the missionEnd stuff now
	%string="Although they lost Carter Flats, the rebels would not give up easily. The Knights persued them, fighting "
		@"many battles, until they were restricted to Mole Deep and one other base. Then the Cybrids arrived, and "
		@"the Human Alliance was born.";
	schedule("messageBox(0,\""@%string@"\");",10);
	fadeToNeutral();
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " --  The battle had an indeterminate outcome.";
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
	logPlayerList();
	doMissionCleanup();
	schedule("missionEndConditionMet();",10);
}

function totalRedVictory()
{
	flushConsoleScheduler();	//Just the missionEnd stuff now
	say(IDSTR_TEAM_RED,0,"ICEHAWK: Excellent work, soldiers. Harabec and his rebels have been eliminated. This should teach those- "
                @"that is, the Emperor expects an excellent impact.");
	%string="Soon after their crushing defeat at Carter Flats, the Free Martian Alliance surrendered to Imperial troops."
		@" Without Harabec's leadership, they didn't stand a chance. The Armada returned home to meet the Cybrid "
		@"menace.";
	schedule("messageBox(0,\""@%string@"\");",10);
	fadeToRed();
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " --  The Imperials won.";
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
	logPlayerList();
	doMissionCleanup();
	schedule("missionEndConditionMet();",10);
}

function totalYellowVictory()
{
	flushConsoleScheduler();	//Just the missionEnd stuff now
	say(IDSTR_TEAM_YELLOW,0,"HARABEC: All right! Looks like we beat those Teddies back where they belong. More are coming, though; watch your sixes.");
	%string="Harabec's armies successfully defeated all subsquent Imperial landings. The TDF was devastated- just in "
		@"time for Prometheus. Two centuries of planning had been undone in two weeks of fighting.";
	schedule("messageBox(0,\""@%string@"\");",10);
	fadeToYellow();
	%nowDate = getDate();
	%nowTime = getTime();
	%outputString =  %nowDate @ ", " @ %nowTime @ " --  The Rebels won.";
	filewrite("multiplayer\\serverlog.txt", append, %outputString);
	logPlayerList();
	doMissionCleanup();
	schedule("missionEndConditionMet();",10);
}

function rebelRetreat()
{
	say(IDSTR_TEAM_YELLOW,0,"HARABEC: These guys are too tough! We're not going to win! Retreat to Nav Alpha. Don't let them shoot you "
		@"down while you're running.","mission_abort.wav");
	YellowObjective1.status=*IDSTR_OBJ_FAILED;	//Defeat Knights
	YellowObjective2.status=*IDSTR_OBJ_ACTIVE;	//Escape to Nav Alpha
	playerLoop("displayObjectives(",");",*IDSTR_TEAM_YELLOW);
	say(IDSTR_TEAM_YELLOW,0,"mission_obj_new.wav");
	setTeamMarker($navAlpha, true, *IDSTR_TEAM_YELLOW);
	order("MissionGroup\\Harabec", guard, $navAlpha);
	order("MissionGroup\\Harabec", speed, high);
	checkThatTeamReports(*IDSTR_TEAM_YELLOW, $navAlpha,"rebelsEscape();");
}

function checkForDropshipApproach()
{

//	say(IDSTR_TEAM_YELLOW,0,"HARABEC: All right, here they come. Cloaks on!");
	order("MissionGroup\\Harabec", shutDown, false);
	order("MissionGroup\\Harabec", cloak, true);
	order("MissionGroup\\Harabec", holdFire, true);
	order("MissionGroup\\Harabec", holdPosition, true);
}

function onTouchDown()
{
	relocateTheDropPoints(1);
	playerLoop("setVehicleRadarVisible(playerManager::playerNumToVehicleId(","), true );",*IDSTR_TEAM_RED);	//They leave the dropship and are now "on" the map
	setVehicleRadarVisible($Caanon, true);
	playerLoop("redrop(playerManager::playerNumToVehicleId(","));",*IDSTR_TEAM_RED);
	setPosition($Caanon, getPosition(getObjectId("MissionGroup\\redrop1\\Caanon"),x),getPosition(getObjectId("MissionGroup\\redrop1\\Caanon"),y),getPosition(getObjectId("MissionGroup\\redrop1\\Caanon"),z));
	order($Caanon, shutDown, false);
	order($Caanon, holdFire, false);
	order($Caanon, holdPosition, false);
	order($Caanon, guard, "MissionGroup\\caaPath");
	cdAudioCycle(3);
}

function relocateTheDropPoints(%num)
{
	if (%num==1)
	{
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point1"),getPosition(getObjectId("MissionGroup\\redrop1\\point1"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point1"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point1"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point2"),getPosition(getObjectId("MissionGroup\\redrop1\\point2"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point2"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point2"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point3"),getPosition(getObjectId("MissionGroup\\redrop1\\point3"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point3"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point3"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point4"),getPosition(getObjectId("MissionGroup\\redrop1\\point4"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point4"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point4"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point5"),getPosition(getObjectId("MissionGroup\\redrop1\\point5"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point5"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point5"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point6"),getPosition(getObjectId("MissionGroup\\redrop1\\point6"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point6"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point6"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point7"),getPosition(getObjectId("MissionGroup\\redrop1\\point7"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point7"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point7"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point8"),getPosition(getObjectId("MissionGroup\\redrop1\\point8"),x),getPosition(getObjectId("MissionGroup\\redrop1\\point8"),y),getPosition(getObjectId("MissionGroup\\redrop1\\point8"),z));
	}
	else if (%num==2)
	{
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point1"),getPosition(getObjectId("MissionGroup\\redrop2\\point1"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point1"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point1"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point2"),getPosition(getObjectId("MissionGroup\\redrop2\\point2"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point2"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point2"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point3"),getPosition(getObjectId("MissionGroup\\redrop2\\point3"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point3"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point3"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point4"),getPosition(getObjectId("MissionGroup\\redrop2\\point4"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point4"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point4"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point5"),getPosition(getObjectId("MissionGroup\\redrop2\\point5"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point5"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point5"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point6"),getPosition(getObjectId("MissionGroup\\redrop2\\point6"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point6"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point6"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point7"),getPosition(getObjectId("MissionGroup\\redrop2\\point7"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point7"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point7"),z));
	setPosition(getObjectId("MissionGroup\\dropPointGroup3\\point8"),getPosition(getObjectId("MissionGroup\\redrop2\\point8"),x),getPosition(getObjectId("MissionGroup\\redrop2\\point8"),y),getPosition(getObjectId("MissionGroup\\redrop2\\point8"),z));
	}
	else say (0,0,"DEBUG: invalid drop point relocation");
}

function rebelAmbush()
{
	setPosition(getObjectId("MissionGroup\\Harabec"),getPosition(getObjectId("MissionGroup\\Harabec"),x), getPosition(getObjectId("MissionGroup\\Harabec"),y), getPosition(getObjectId("MissionGroup\\Harabec"),z)+20);
	order("MissionGroup\\Harabec", holdFire, false);
	order("MissionGroup\\Harabec", holdPosition, false);
	say(0,0,"HARABEC: <F5>Nail 'em! FREE MARS!!!!!!!!!!!!!!!!!!!!!!!!!!");	//No, the channel is not a mistake
	order("MissionGroup\\Harabec", attack, "MissionGroup\\Caanon");
	cdAudioCycle(10,"4");
	$ambush=true;
	relocateTheDropPoints(2);
}
//////////////Caanon Functions//////////////////////////////////////////
function caanon::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup\\caaPath\\marker2"))
		say(IDSTR_TEAM_RED,0,"ICEHAWK: CC to all Swords. Report by Squad...");
	else if (%where==getObjectId("MissionGroup\\caaPath\\marker8"))
		{say(IDSTR_TEAM_YELLOW,0,"<F4>MESSAGE FROM HARABEC'S COMPUTER: You are allowed to select targets. Do not fire just yet.");
		say(IDSTR_TEAM_RED,0,"ICEHAWK: Saber, on Falchion's right flank! Broadsword, you're two ticks behind! Tighten up!");}
	else if (%where==getObjectId("MissionGroup\\caaPath\\Stop"))
		{order($Caanon, clear, true);
		say(IDSTR_TEAM_RED,0,"ICEHAWK: Tighten up, all squads. Status is red and hot. Anything moves, <F6>vape<F7> it.");
		schedule("rebelAmbush();",3.5);}
}

function caanon::vehicle::onDestroyed(%destroyee, %destroyer)
{
	%message = getFancyDeathMessage(getHUDName(%destroyee), getHUDName(%destroyer));
	if(%message != "")
	{
		if ($missionStarted) say( 0, 0, %message);
		else if (%destroyer==%destroyee) say(0,0, getHUDName(%destroyee)@" has left the map.");	//Player killed himself before mission began
	}
	if (getTeam(%destroyer)!=getTeam(%destroyee)) return;	//no teamkill
	antiTeamKill(%destroyer);
	dungatsCloneVehicle("$Caanon", %destroyee, getPosition(%destroyee,x), getPosition(%destroyee,y), getPosition(%destroyee,z));
}

function doMissionCleanup()
{
	schedule("deletePlayerVehicles();",10);
	schedule("deleteObject($Caanon); deleteObject(getObjectId(\"MissionGroup\\Harabec\"));",9);
	schedule("deleteVariables(\"$Caanon\");",9);	//to reduce lag?
	deleteVariables("$Nav*");
	deleteVariables("$DropshipsAttacked");
	deleteVariables("$rfWave");
	deleteVariables("$ambush");
	deleteFunctions("stopTheDropShip*");
	deleteFunctions("vehicle::onAttacke*");
	deleteFunctions("check*");
	deleteFunctions("finalShutDownChec*");
	deleteFunctions("rebel*");
	deleteFunctions("dropship*");
	deleteFunctions("red*");
	deleteFunctions("onTouchDow*");
	deleteFunctions("relocate*");
	deleteFunctions("caanon*");
	echo("All variables deleted.");
}